package com.yaozhitech.ztxbi.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import com.yaozhitech.ztxbi.mapper.TestMapper;

@Controller
public class IndexController {
    
    @Autowired
    private TestMapper testMapper;

    @RequestMapping("/index")
    @ResponseBody
    public String index() {
        return "index";
    }

    /**
     * to test.jsp
     * */
    @RequestMapping("/test.do")
    public String test() {
        return "test";
    }

    /**
     * 测试数据库连接
     * */
    @RequestMapping("/testdb.do")
    public String test_db() {
        System.out.println("连接数据库...");
        System.out.println("连接成功，获取的数据为：" + testMapper.getCount());
        return "test_db";
    }
    
}
